<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title></title>
</head>
<body>

<form th:action="@{/job/saveJob}" method="post" role="form"
      name="form1">>
    <label for="jobTitle"> Job Title: </label>
    <input type="text" name="jobTitle" id="jobTitle"><br>
    <select name="jobField" id="jobField">
        <option th:each="jobFieldList: ${jobField}"
                th:value="${jobFieldList.getJobFieldId()}"
                th:text="${jobFieldList.getJobFieldName()}">
        </option>
    </select><br>

    <select name="jobType" id="jobType">
        <option th:each="jobTypeList: ${jobType}"
                th:value="${jobTypeList.getJobTypeId()}"
                th:text="${jobTypeList.getJobType()}">
        </option>
    </select><br>

    <div th:each="competency: ${competency}">
        <input type="checkbox"
               name="competencyCheckbox"
               th:value="${competency.getCompetenciesId()}"
               th:text="${competency.getName()}">
        <br>
    </div>


    <label for="jobDescription"> Job Description</label>
    <textarea name="jobDescription" id="jobDescription" cols="30" rows="10"></textarea><br>

    <label for="jobQualification"> Job Qualification</label>
    <textarea name="jobQualification" id="jobQualification" cols="30" rows="10"></textarea><br>

    <label for="jobBenefit"> Job Benefit</label>
    <textarea name="jobBenefit" id="jobBenefit" cols="30" rows="10"></textarea><br>
    <button type="submit"> save </button>
</form>

</body>
</html>